Subject: [hrpc] re international & national law, draft association

From: Sandra Braman <[email-masked]>
Date: Mon, 8 Mar 2021 12:06:35 -0600

Thanks to you all for launching this discussion. Mallory and her co-authors
have made progress, in areas going beyond her email to include significant
changes in wording, and I am delighted that another legal expert's advice
has been sought. However -- depending upon the goal of the exercise -- in
my view there are issues that remain. Rather than bundle several different
issues into single emails, as before, here will concentrate on the points
brought up in this discussion.

It appears that Mallory and her co-authors have misunderstood what the
"scope of work" is when relying on international treaties, and therefore
misunderstood why some of the comments I made regarding legal sources were
made. Will first discuss how the kind of legal problem being addressed
here, and the kind of argument these authors are making, are approached by
legal scholars; go on to address the specific concepts of association and
assembly; and conclude with a point about genre.

*Doing research on protocols and the rights of association and assembly as
established by international human rights law*

Mallory reminds us of the scope of the HRPC and how draft association fits
into it. The word "defined" is used in the HRPC charter to refer to what is
said in the UDHR and ICCPR regarding what are to be considered human
rights. Those documents, however, don't actually define the concepts
involved -- they providing a list of the kinds of rights to be protected.
Any work relying on those treaties necessarily involves probing the
concepts mentioned for what they actually mean on the ground. There are
three ways of doing this:  analysis of precedent, analysis of different
approaches taken in different jurisdictions, and novel theorization and/or
argumentation. These three approaches are often combined for the strongest
work products, with the relative proportions of each type of investigation
varying with the problem at hand. Undertaking all three of these kinds of
analysis are within the scope of the HRPC because they are by definition
within the scope of what it means to rely upon the international human
rights treaties.

A strong analog for what HRPC is trying to do with the Internet design
process is the effort by the international legal community to figure out
whether existing international law applies to cyber operations of national
security concern.  A particularly rich model of what that involves are
the *Tallinn
Manual* and *Tallinn Manual 2.0*, which provide exhaustive analyses of each
of the pertinent concepts in international laws of war, clearly specifying
where consensus was reached within the group of international legal experts
involved, and where it was not, with the diverse positions identified for
the latter.

A discussion of about a week ago of a panel of international legal
scholars, including Michael Schmitt, who served as editor for both Tallinn
manuals, gives a sense of the state of play regarding international law and
war in cyberspace right now. Much of this conversation about international
law and cyberespace involved discussing trends in national-level treatment
of problems such as whether or not data is an object, identifying the range
of positions out there, how many states aligned with each position, and
where shifts were taking place, followed by each expert's argument for
their preferred position. If you want to see what that kind of conversation
looks like, you can see it here:
https://www.dvidshub.net/video/785840/international-law-professors-discuss-2020-cyberspace-operations-developments-2021-uscybercom-legal-conference.
My suggestions regarding looking at national law were for this reason -- as
sources for insight into how to articulate the two distinct rights of
association and assembly for purposes of this attempt to apply
international human rights law to Internet standards by looking at how they
have been put forth by national governments.

(RFC 8280 includes false statements about US law that can be used to take
down pages because it ignores Sec. 230, which protects third party
intermediaries from liability for speech by those using its platforms. If a
US-based platform decides to take down either a specific message or a user
who egregiously incites illegal violence likely to harm society or
misinformation of a kind that can damage the health of individuals and
communities such as drinking bleach, that is NOT because of a law. It is
because a private entity decided to take the action on the basis of
principles it has established for itself and the communities that the
platform hosts and facilitates. It can do that because users of the
platform sign a contract to abide by its rules, the terms of service or
acceptable use agreement. Contract law is actually the law that matters in
this regard.)

Development of the law to apply to new problems is heavily influenced by
precedent, legal decision-making that has come before. The analytical job
in new situations involves identifying what it is in the new situation that
is like what came before, and what is different and therefore may justify
adapting the law, reinterpreting it, and/or developing new law. The way to
conduct this anaylysis is to study pertinent court opinions. My suggestions
for looking at court cases involving international human rights law were
for this reason -- as sources for insight into how to articulate the rights
of association and assembly for purposes of this attempt to apply
international human rights law to Internet protocols by looking at how
those rights have been interpreted by courts in the past. Much of the
thinking in these opinions will not deal specifically with the cyber
environment; it is there that the role of original argument and
theorization are required to extrapolate from precedent to how it is being
recommended that it should apply to Internet protocols.

Authors of this draft RFC need not conduct all of the necessary analysis
themselves. There is an existing literature on international human rights
law and the rights of association and assembly. A quick search identified
several items that are far from exhaustive of what is available. These
items would complement and expand on what is learned from the piece by
Peter Swire, as the piece by a legal scholar that deals with international
human rights law and association currently cited.

Boyle, Kevin, and Sangeeta Shah.  (2014). "Thought, expression,
association, and assembly." In Daniel Moeckli, Sangeeta Shah, & Sandesh
Sivakumaran (Eds.), *International human rights law*, pp. 257-279.  Oxford:
Oxford University Press.

Haas, Ernst B. (1970). *Human rights and international action: The case of
freedom of association*. Stanford: Stanford University Press.

Hamilton, Michael. (2020). The meaning and scope of "assembly" in
international human rights law, *International and Comparative Law
Quarterly*, *69*(3), 521-556.

Hamilton, Michael. (2020). To facilitate and protect: State obligations and
the right of peaceful assembly in international human right law, *Asia-Pacific
Journal on Human Rights and the Law*, *21*(1), 5-34.

Kalin, Walter & Kunzli, Jorg. (2019). Protection of participation in
political life. In *The law of international human rights protection*, 2nd
ed., pp. 491-519. Oxford: Oxford University Press.

Salat, Orsolya. (2014). Comparative freedom of assembly and the
fragmentation of human rights law, *Nordic Journal of Human Rights*, *32*(2),
140-156.

Tyulkina, Svetlana. (2014). Fragmentation in international human rights
law: Political parties and freedom of association in the practice of the UN
Human Rights Committee, European Court of Human Rights and Inter-American
Court of Human Rights, *Nordic Journal of Human Rights*, *32*(2), 157-175.

*Defining the rights of association and assembly*

The legal scholarship on international human rights law finds the right of
association to refer to formal organizations of individuals who join
together to pursue a specific goal. Membership is explicit and recognized,
there are rules, typically there are officers, there may be staff, etc. The
concept of the right of association in international law has been most
fully developed as it applies to labor unions, although it is also
understood to apply to political parties and civil society groups of all
kinds.  The right of assembly, at minimum, requires only two individuals or
more who intentionally assemble, though there are interpretations that
require more than that.

This draft on the rights of association and assembly goes back and forth
between treating them as two separate rights and treating them together as
a single right, with the text dominated by the latter. The document will be
stronger if the authors choose one of these two positions and stick with
it. Treating the rights as two separate rights is the approach that aligns
with international law because of the difference in how the two concepts
are defined and used in international law. The fact that these two rights
interact with other rights, such as privacy and freedom of expression, is
important and worth including in the analysis, but does not make these
rights synonymous with each other.

This draft includes temporary groupings of people as an association,
although in my understanding this is not upheld by international law. That
could, of course, be my ignorance. I would appreciate reference to sources
for this element of the definition of association that has been valuably
added to this draft.

This draft also includes being a member of an audience to which a mass
message has been sent as a form of assembly, although in my understanding
this is not upheld by international law. In the example given, spam, the
pertinent right on the part of those who do not wish to receive the
messages is the right not to receive, not anything involving association.
This again could be my ignorance and I would appreciate reference to
sources for making this claim. The item cited by Marcus discusses freedom
of expression but does not mention freedom of association.

I am not going to review each of the cases discussed in this draft under
the rubric of association or work through each of the places where
communication, association, and assembly become conflated in ways that are
problematic from a legal perspective, but if the authors would like to pull
together a group of legal scholars to fully develop understandings of the
two separate rights of association and assembly for the cyber environment
-- importantly, as they are different from expression, communication, and
access to information as other rights distinguished under international
human rights law -- I would be happy to join that group.

*Genre*

I have been understanding HRPC informational RFCs and drafts as
contributions to knowledge production and intended to be of use both within
the Internet design community and in the legal community. Concerns about
bringing the technical and legal communities into a common conversation to
mutual -- and societal -- advantage has been underway for 3 decades now at
least (with Mallory's current employer, CDT, an important early and
sustained leader in this effort). We are finally seeing new, important,
developments in this regard with a quickly growing number of academic
programs being launched to train people in both types of expertise and
their interactions as well as a now significant literature in this area and
maturing sophistication on the part of many policy-makers.

Mallory's response to my comments educated me to the history of the
decision not to put in place a checklist for use by those involved in
designing protocols, and I appreciate the reasoning behind that. As is
mentioned in this draft, the dual use nature of almost all, if not all,
protocols and their characteristics, could mean that, actually, nothing can
be done by engineers other than to acknowledge that uses can be made of
their work products that may be in violation of international human rights
law.

That in itself is not a trivial accomplishment. Research has shown that the
RFCs document that those involved in Internet design have been concerned
about matters such as privacy, equity, and fairness from the very start,
but that discussion has appeared in social science publications not likely
to be encountered or referenced by those designing protocols. I may have
been misunderstanding the point of the exercise. That would mean that the
genre here is actually the metadata -- the fact that human rights has now
been officially recognized as something that can be violated through the
use of the Internet via documents appearing in the RFCs -- rather than the
substance of the evidence and arguments brought to bear.  To date, this is
essentially the use made of RFC 8280 in the few items published to date
both within and outside of the RFCs that reference it.

If the genre and rhetorical goals go beyond metadata to also be of use to
legal scholars, policy-makers, and social scientists as well, as I
originally understood the point of the exercise, then in my view more work
needs to be done and I would be willing to join the effort if welcomed. The
team put together to accomplish that work should include experts in each of
the areas involved; my judgments regarding technical problems in protocol
design aren't worth anything at all. This work will be strongest if those
with a depth in the law are involved in making legal arguments; the issue
mentioned above regarding US law as discussed in RFC 8280 is also not
trivial.

On Mon, Mar 8, 2021 at 4:07 AM <[email-masked]> wrote:

> Send hrpc mailing list submissions to
>         [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>         https://www.irtf.org/mailman/listinfo/hrpc
> or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
> You can reach the person managing the list at
>         [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of hrpc digest..."
> Today's Topics:
>
>    1. Re: comments, draft association (Eliot Lear)
>    2. Re: comments, draft association (Mark Perkins)
>    3. Re: comments, draft association (Eliot Lear)
>
>
>
> ---------- Forwarded message ----------
> From: Eliot Lear <[email-masked]>
> To: Mallory Knodel <[email-masked]>
> Cc: Hrpc <[email-masked]>, Sandra Braman <[email-masked]>
> Bcc:
> Date: Mon, 8 Mar 2021 10:08:27 +0100
> Subject: Re: [hrpc] comments, draft association
> Hi Mallory,
>
> Ok, so on with it in-line below (combining your two emails):
> On 2/6/21 3:35 AM, Sandra Braman wrote:
>
> The international treaties discussed in this draft are not a part of the
> scholarly literature covered in literature reviews, but the legal
> authorities on the basis of which claims made here are justified.  Although
> I agree with the authors that this is not the place for a comprehensive
> discussion and synthesis of the scholarly literature, coverage of the
> pertinent treaty provisions *should* be comprehensive.  Treaty provisions
> only matter, though, where treaties have been ratified.  It would also be
> useful to the reader to know the extent to which these provisions have been
> interpreted in courts in cases that have come their way involving assembly
> and association.
>
> This draft is trying to fulfill the explicit language from the HRPC
> charter, the relevant portion of which is:
>
> "The Human Rights Protocol Considerations Research Group is chartered to
> research whether standards and protocols can enable, strengthen or threaten
> human rights, as defined in the Universal Declaration of Human Rights
> (UDHR) [1] and the International Covenant on Civil and Political Rights
> (ICCPR) [2], specifically, but not limited to the right to freedom of
> expression and the right to freedom of assembly."
>
> Therefore to talk about the regulation of code is out of scope.
>
>
> There is one aspect that could be better drawn out: is the interpretation
> of these two documents consistent with the interpretation by most
> governments?  If it is not, would proposed applications present
> difficulties in implementing the protocols approved by SDOs such as the
> IETF, and under what circumstances?  I am specifically thinking of the
> examples you have in the draft (spam, DDOS) as well as perhaps something
> around lawful intercept (not entirely tangential to freedom of assembly).
> I don’t see that outside the scope of the charter.
>
> Also, we just had a live example in the US of use of technology to
> organize what could alternatively be described as a peaceful assembly or an
> insurrection.  Surely this draft would be remiss to not explore the
> technology implications, given the use of encryption by some of the parties.
>
> Eliot
>
>
>
>
>
>
> ---------- Forwarded message ----------
> From: Mark Perkins <[email-masked]>
> To: [email-masked]
> Cc:
> Bcc:
> Date: Mon, 8 Mar 2021 20:52:40 +1100
> Subject: Re: [hrpc] comments, draft association
>
> Eliot
>
> "is the interpretation of these two documents consistent with the
> interpretation by most governments?"
>
> Here I think we run into real world problems:
>
> What do the documents (UDHR & ICCPR) state?
>
> What is the interpretation of these two documents by the relevant UN body
> (usually found in General Comments of UN Human Rights Committee, but also
> occassionally International Tribunals, though these are usually Regional
> decisions rather than International in the Global sense) - eg General
> comment No. 37(2020) on theright of peaceful assembly (article 21),
> 17September 2020
>
>
> https://tbinternet.ohchr.org/_layouts/15/treatybodyexternal/TBSearch.aspx?Lang=en&TreatyID=8&DocTypeID=11
>
> What is the interpretation of 'most' governments? Clearly this question
> will have multiple responses, as often there is no agreement, in fact there
> is clear disagreement
>
> What is the difference between all of the above, esp UN interpretation &
> interpretation by 'most' governments OR the different governmental
> interpretations?
>
> Mark P.
> Le 08/03/2021 à 20:08, Eliot Lear a écrit :
>
> Hi Mallory,
>
> Ok, so on with it in-line below (combining your two emails):
> On 2/6/21 3:35 AM, Sandra Braman wrote:
>
> The international treaties discussed in this draft are not a part of the
> scholarly literature covered in literature reviews, but the legal
> authorities on the basis of which claims made here are justified.  Although
> I agree with the authors that this is not the place for a comprehensive
> discussion and synthesis of the scholarly literature, coverage of the
> pertinent treaty provisions *should* be comprehensive.  Treaty provisions
> only matter, though, where treaties have been ratified.  It would also be
> useful to the reader to know the extent to which these provisions have been
> interpreted in courts in cases that have come their way involving assembly
> and association.
>
> This draft is trying to fulfill the explicit language from the HRPC
> charter, the relevant portion of which is:
>
> "The Human Rights Protocol Considerations Research Group is chartered to
> research whether standards and protocols can enable, strengthen or threaten
> human rights, as defined in the Universal Declaration of Human Rights
> (UDHR) [1] and the International Covenant on Civil and Political Rights
> (ICCPR) [2], specifically, but not limited to the right to freedom of
> expression and the right to freedom of assembly."
>
> Therefore to talk about the regulation of code is out of scope.
>
>
> There is one aspect that could be better drawn out: is the interpretation
> of these two documents consistent with the interpretation by most
> governments?  If it is not, would proposed applications present
> difficulties in implementing the protocols approved by SDOs such as the
> IETF, and under what circumstances?  I am specifically thinking of the
> examples you have in the draft (spam, DDOS) as well as perhaps something
> around lawful intercept (not entirely tangential to freedom of assembly).
> I don’t see that outside the scope of the charter.
>
> Also, we just had a live example in the US of use of technology to
> organize what could alternatively be described as a peaceful assembly or an
> insurrection.  Surely this draft would be remiss to not explore the
> technology implications, given the use of encryption by some of the parties.
>
> Eliot
>
>
>
>
> _______________________________________________
> hrpc mailing [email-masked]://www.irtf.org/mailman/listinfo/hrpc
>
>
>
> <https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=emailclient> Garanti
> sans virus. www.avast.com
> <https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=emailclient>
> <#m_3942705326484480904_DAB4FAD8-2DD7-40BB-A1B8-4E2AA1F9FDF2>
>
>
>
> ---------- Forwarded message ----------
> From: Eliot Lear <[email-masked]>
> To: Mark Perkins <marknoumea=[email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Mon, 8 Mar 2021 11:06:46 +0100
> Subject: Re: [hrpc] comments, draft association
> Hi Mark,
>
> What is the interpretation of 'most' governments? Clearly this question
> will have multiple responses, as often there is no agreement, in fact there
> is clear disagreement
>
>
> Good point.  That in itself is good to understand.  One of the challenges
> I’ve faced in other domains like during the 2014(?) Budapest Convention
> review has been potential conflicting regulatory requirements.  To be
> clear, I’m not suggesting so wide a scope, but rather a focus on how our
> protocol suite development needs to consider these conflicts.
>
> What is the difference between all of the above, esp UN interpretation &
> interpretation by 'most' governments OR the different governmental
> interpretations?
>
>
> I like the latter- “different government interpretations”.  That in itself
> can highlight problems that the IETF *can’t* solve, but others *should*.
>
> By the way, real world problems are good problems for this group to
> address (IMHO).
>
> Eliot
> _______________________________________________
> hrpc mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/hrpc
>

---

From: [email-masked]
Date: Thu, 11 Mar 2021 03:31:15 -0800

Dear all, 

Apologies for responding to this interesting conversation only now.
Especially for those of you in the western hemisphere, this controbution
won't be timely for the meeting later today. I look forward to
discussing the draft on association this afternoon (CET) and continuing
it over email. 

I must admit I have difficulties keeping track of the discussion across
multiple email threads so I might be missing out on some argument. See
my responses to Sandra and Eliot in-line below!

Best to all, Lisa

On 08-03-2021 19:06, Sandra Braman wrote:
> Thanks to you all for launching this discussion. Mallory and her
> co-authors have made progress, in areas going beyond her email to
> include significant changes in wording, and I am delighted that
> another legal expert's advice has been sought. However -- depending
> upon the goal of the exercise -- in my view there are issues that
> remain. Rather than bundle several different issues into single
> emails, as before, here will concentrate on the points brought up in
> this discussion.  
> 
> "scope of work" is when relying on international treaties, and
> therefore misunderstood why some of the comments I made regarding
> legal sources were made. Will first discuss how the kind of legal
> problem being addressed here, and the kind of argument these authors
> are making, are approached by legal scholars; go on to address the
> specific concepts of association and assembly; and conclude with a
> point about genre.
> 
> Doing research on protocols and the rights of association and assembly
> as established by international human rights law
> 
> Mallory reminds us of the scope of the HRPC and how draft association
> fits into it. The word "defined" is used in the HRPC charter to refer
> to what is said in the UDHR and ICCPR regarding what are to be
> considered human rights. Those documents, however, don't actually
> define the concepts involved -- they providing a list of the kinds of
> rights to be protected. Any work relying on those treaties necessarily
> involves probing the concepts mentioned for what they actually mean on
> the ground. There are three ways of doing this:  analysis of
> precedent, analysis of different approaches taken in different
> jurisdictions, and novel theorization and/or argumentation. These
> three approaches are often combined for the strongest work products,
> with the relative proportions of each type of investigation varying
> with the problem at hand. Undertaking all three of these kinds of
> analysis are within the scope of the HRPC because they are by
> definition within the scope of what it means to rely upon the
> international human rights treaties.

I'm excited that we are working on this draft at the same time that the
Human Rights Committee published its General Comment 37 about peaceful
assembly, one of the rights under discussion. The GC does not provide
details about how this right is interpreted by various governments but I
know that the comment itself it based on a long process of research,
consultation and negotation. My suggestion for this research paper is to
take the GC37 as starting point for at least the issues related to
protocols and assembly. Currently, at ICNL and ECNL - and we're not the
only ones - we're stimulating ongoing discussions about the GC37 and in
particular what digitally mediated assemblies are an how they should be
protected, which could provide insight for this community. My suggestion
is to focus our discussion and attention to identifying how protocol
design relates to digitally mediated assemblies, association and 
discuss and strengthen the exmaples in the paper, instead of long and
in-depth legal analysis. I agree that references to authoritative
interpretations should be added to the current list. 
> process is the effort by the international legal community to figure
> out whether existing international law applies to cyber operations of
> national security concern.  A particularly rich model of what that
> involves are the _Tallinn Manual_ and _Tallinn Manual 2.0_, which
> provide exhaustive analyses of each of the pertinent concepts in
> international laws of war, clearly specifying where consensus was
> reached within the group of international legal experts involved, and
> where it was not, with the diverse positions identified for the
> latter. 

The Tallinn Manual is indeed an interesting example of how the
specialized cyber scholarly community tackles an ongoing issue (applying
int'l law in cyberspace) that at the same time is subject of
geopolitical debate in the UN. As a former diplomat I know how important
this manual to underpin governments' positions. My impression however,
but please forgive me my newby status in this community, is that a
process like the Tallinn Manual is much too specialized on international
law in its full depths compared to what we try to accomplish here i.e.
help improving protocols. I therefore don't think it's necessary to
discuss all treaties and all different national interpretations in this
research paper, but that the most important and up to date notions about
the FOAA should be there underpinned by authorative voices such as UNSRs
and the HRC. 

> scholars, including Michael Schmitt, who served as editor for both
> Tallinn manuals, gives a sense of the state of play regarding
> international law and war in cyberspace right now. Much of this
> conversation about international law and cyberespace involved
> discussing trends in national-level treatment of problems such as
> whether or not data is an object, identifying the range of positions
> out there, how many states aligned with each position, and where
> shifts were taking place, followed by each expert's argument for their
> preferred position. If you want to see what that kind of conversation
> My suggestions regarding looking at national law were for this reason
> -- as sources for insight into how to articulate the two distinct
> rights of association and assembly for purposes of this attempt to
> apply international human rights law to Internet standards by looking
> at how they have been put forth by national governments. 
> 
> (RFC 8280 includes false statements about US law that can be used to
> take down pages because it ignores Sec. 230, which protects third
> party intermediaries from liability for speech by those using its
> platforms. If a US-based platform decides to take down either a
> specific message or a user who egregiously incites illegal violence
> likely to harm society or misinformation of a kind that can damage the
> health of individuals and communities such as drinking bleach, that is
> NOT because of a law. It is because a private entity decided to take
> the action on the basis of principles it has established for itself
> and the communities that the platform hosts and facilitates. It can do
> that because users of the platform sign a contract to abide by its
> rules, the terms of service or acceptable use agreement. Contract law
> is actually the law that matters in this regard.)
> 
> Development of the law to apply to new problems is heavily influenced
> by precedent, legal decision-making that has come before. The
> analytical job in new situations involves identifying what it is in
> the new situation that is like what came before, and what is different
> and therefore may justify adapting the law, reinterpreting it, and/or
> developing new law. The way to conduct this anaylysis is to study
> pertinent court opinions. My suggestions for looking at court cases
> involving international human rights law were for this reason -- as
> sources for insight into how to articulate the rights of association
> and assembly for purposes of this attempt to apply international human
> rights law to Internet protocols by looking at how those rights have
> been interpreted by courts in the past. Much of the thinking in these
> opinions will not deal specifically with the cyber environment; it is
> there that the role of original argument and theorization are required
> to extrapolate from precedent to how it is being recommended that it
> should apply to Internet protocols.
> 
> Authors of this draft RFC need not conduct all of the necessary
> analysis themselves. There is an existing literature on international
> human rights law and the rights of association and assembly. A quick
> search identified several items that are far from exhaustive of what
> is available. These items would complement and expand on what is
> learned from the piece by Peter Swire, as the piece by a legal scholar
> that deals with international human rights law and association
> currently cited. 
> 
> association, and assembly." In Daniel Moeckli, Sangeeta Shah, &
> Sandesh Sivakumaran (Eds.), _International human rights law_, pp.
> 257-279.  Oxford: Oxford University Press.  
> 
> Haas, Ernst B. (1970). _Human rights and international action: The
> case of freedom of association_. Stanford: Stanford University Press. 
> 
> international human rights law, _International and Comparative Law
> Quarterly_, _69_(3), 521-556. 
> 
> Hamilton, Michael. (2020). To facilitate and protect: State
> obligations and the right of peaceful assembly in international human
> right law, _Asia-Pacific Journal on Human Rights and the Law_,
> _21_(1), 5-34. 
> 
> political life. In _The law of international human rights protection_,
> 2nd ed., pp. 491-519. Oxford: Oxford University Press. 
> 
> fragmentation of human rights law, _Nordic Journal of Human Rights_,
> _32_(2), 140-156. 
> 
>   Tyulkina, Svetlana. (2014). Fragmentation in international human
> rights law: Political parties and freedom of association in the
> practice of the UN Human Rights Committee, European Court of Human
> Rights and Inter-American Court of Human Rights, _Nordic Journal of
> Human Rights_, _32_(2), 157-175.
> 
> Defining the rights of association and assembly
> 
> The legal scholarship on international human rights law finds the
> right of association to refer to formal organizations of individuals
> who join together to pursue a specific goal. Membership is explicit
> and recognized, there are rules, typically there are officers, there
> may be staff, etc. The concept of the right of association in
> international law has been most fully developed as it applies to labor
> unions, although it is also understood to apply to political parties
> and civil society groups of all kinds.  The right of assembly, at
> minimum, requires only two individuals or more who intentionally
> assemble, though there are interpretations that require more than
> that.
> 
> This draft on the rights of association and assembly goes back and
> forth between treating them as two separate rights and treating them
> together as a single right, with the text dominated by the latter. The
> document will be stronger if the authors choose one of these two
> positions and stick with it. Treating the rights as two separate
> rights is the approach that aligns with international law because of
> the difference in how the two concepts are defined and used in
> international law. 

I agree that the rights should be treated as separate rights thourghout
the entire text. 

The fact that these two rights interact with other
> rights, such as privacy and freedom of expression, is important and
> worth including in the analysis, but does not make these rights
> synonymous with each other.
> 
> although in my understanding this is not upheld by international law.
> That could, of course, be my ignorance. I would appreciate reference
> to sources for this element of the definition of association that has
> been valuably added to this draft.

Well noted, will look for a good reference because it is indeed
understood that temporary groupings are also protected under the freedom
to associate. This does raise the question to what extent we should
adress the legal nitty-gritty (please forgive me, laywers in the room
:)) of these rights in this paper, or primarily aim to generate basis
understanding of the key aspects of these rights - with strong
references to the ongoing scholarly discussion added. With my comments
to the paper, I hoped to strike a balance between the legal experts on
the one hand and the tech experts in the IETF community because too much
detail on legal interpretations might scare readers without a legal
background. 

> message has been sent as a form of assembly, although in my
> understanding this is not upheld by international law. In the example
> given, spam, the pertinent right on the part of those who do not wish
> to receive the messages is the right not to receive, not anything
> involving association. This again could be my ignorance and I would
> appreciate reference to sources for making this claim. The item cited
> by Marcus discusses freedom of expression but does not mention freedom
> of association.
> 
> I am not going to review each of the cases discussed in this draft
> under the rubric of association or work through each of the places
> where communication, association, and assembly become conflated in
> ways that are problematic from a legal perspective, but if the authors
> would like to pull together a group of legal scholars to fully develop
> understandings of the two separate rights of association and assembly
> for the cyber environment -- importantly, as they are different from
> expression, communication, and access to information as other rights
> distinguished under international human rights law -- I would be happy
> to join that group.
> 
> Genre
> 
> contributions to knowledge production and intended to be of use both
> within the Internet design community and in the legal community.
> Concerns about bringing the technical and legal communities into a
> common conversation to mutual -- and societal -- advantage has been
> underway for 3 decades now at least (with Mallory's current employer,
> CDT, an important early and sustained leader in this effort). We are
> finally seeing new, important, developments in this regard with a
> quickly growing number of academic programs being launched to train
> people in both types of expertise and their interactions as well as a
> now significant literature in this area and maturing sophistication on
> the part of many policy-makers. 
> 
> mentioned in this draft, the dual use nature of almost all, if not
> all, protocols and their characteristics, could mean that, actually,
> nothing can be done by engineers other than to acknowledge that uses
> can be made of their work products that may be in violation of
> international human rights law.
> 
> That in itself is not a trivial accomplishment. Research has shown
> that the RFCs document that those involved in Internet design have
> been concerned about matters such as privacy, equity, and fairness
> from the very start, but that discussion has appeared in social
> science publications not likely to be encountered or referenced by
> those designing protocols. I may have been misunderstanding the point
> of the exercise. That would mean that the genre here is actually the
> metadata -- the fact that human rights has now been officially
> recognized as something that can be violated through the use of the
> Internet via documents appearing in the RFCs -- rather than the
> substance of the evidence and arguments brought to bear.  To date,
> this is essentially the use made of RFC 8280 in the few items
> published to date both within and outside of the RFCs that reference
> it.  
> 
> If the genre and rhetorical goals go beyond metadata to also be of use
> to legal scholars, policy-makers, and social scientists as well, as I
> originally understood the point of the exercise, then in my view more
> work needs to be done and I would be willing to join the effort if
> welcomed. The team put together to accomplish that work should include
> experts in each of the areas involved; my judgments regarding
> technical problems in protocol design aren't worth anything at all.
> This work will be strongest if those with a depth in the law are
> involved in making legal arguments; the issue mentioned above
> regarding US law as discussed in RFC 8280 is also not trivial.
> 
>> The international treaties discussed in this draft are not a part of
>> the scholarly literature covered in literature reviews, but the
>> legal authorities on the basis of which claims made here are
>> justified.  Although I agree with the authors that this is not the
>> place for a comprehensive discussion and synthesis of the scholarly
>> literature, coverage of the pertinent treaty provisions _should_ be
>> comprehensive.  Treaty provisions only matter, though, where
>> treaties have been ratified.  It would also be useful to the reader
>> to know the extent to which these provisions have been interpreted
>> in courts in cases that have come their way involving assembly and
>> association.
>>
>> "The Human Rights Protocol Considerations Research Group is
>> chartered to research whether standards and protocols can enable,
>> strengthen or threaten human rights, as defined in the Universal
>> Declaration of Human Rights (UDHR) [1] and the International
>> Covenant on Civil and Political Rights (ICCPR) [2], specifically,
>> but not limited to the right to freedom of expression and the right
>> to freedom of assembly."
>>
> There is one aspect that could be better drawn out: is the
> interpretation of these two documents consistent with the
> interpretation by most governments?  If it is not, would proposed
> applications present difficulties in implementing the protocols
> approved by SDOs such as the IETF, and under what circumstances?  

I think there is gap between interpretations of authorities such as the
HRC and interpretations by many governments. I agree that its important
to address this to enable readers to understand what it would mean to
implement protocols given this gap. I look forward to collaborating on
text suggestions here. 

> I am
> specifically thinking of the examples you have in the draft (spam,
> DDOS) as well as perhaps something around lawful intercept (not
> entirely tangential to freedom of assembly).  I don’t see that
> outside the scope of the charter.
> 
> organize what could alternatively be described as a peaceful assembly
> or an insurrection.  Surely this draft would be remiss to not explore
> the technology implications, given the use of encryption by some of
> the parties.
> 
> Eliot
> 
> What is the interpretation of these two documents by the relevant UN
> body (usually found in General Comments of UN Human Rights Committee,
> but also occassionally International Tribunals, though these are
> usually Regional decisions rather than International in the Global
> sense) - eg General comment No. 37(2020) on theright of peaceful
> assembly (article 21), 17September 2020
> 
> What is the interpretation of 'most' governments? Clearly this
> question will have multiple responses, as often there is no agreement,
> in fact there is clear disagreement 
> 
> What is the difference between all of the above, esp UN interpretation
> & interpretation by 'most' governments OR the different governmental
> interpretations?
> 
> Mark P.
>> The international treaties discussed in this draft are not a part of
>> the scholarly literature covered in literature reviews, but the
>> legal authorities on the basis of which claims made here are
>> justified.  Although I agree with the authors that this is not the
>> place for a comprehensive discussion and synthesis of the scholarly
>> literature, coverage of the pertinent treaty provisions _should_ be
>> comprehensive.  Treaty provisions only matter, though, where
>> treaties have been ratified.  It would also be useful to the reader
>> to know the extent to which these provisions have been interpreted
>> in courts in cases that have come their way involving assembly and
>> association.
>>
>> "The Human Rights Protocol Considerations Research Group is
>> chartered to research whether standards and protocols can enable,
>> strengthen or threaten human rights, as defined in the Universal
>> Declaration of Human Rights (UDHR) [1] and the International
>> Covenant on Civil and Political Rights (ICCPR) [2], specifically,
>> but not limited to the right to freedom of expression and the right
>> to freedom of assembly."
>>
>  There is one aspect that could be better drawn out: is the
> interpretation of these two documents consistent with the
> interpretation by most governments?  If it is not, would proposed
> applications present difficulties in implementing the protocols
> approved by SDOs such as the IETF, and under what circumstances?  I am
> specifically thinking of the examples you have in the draft (spam,
> DDOS) as well as perhaps something around lawful intercept (not
> entirely tangential to freedom of assembly).  I don’t see that
> outside the scope of the charter. 
> 
> organize what could alternatively be described as a peaceful assembly
> or an insurrection.  Surely this draft would be remiss to not explore
> the technology implications, given the use of encryption by some of
> the parties. 
> 
> Eliot 
> 
>  		 [1]
>  		Garanti sans virus. www.avast.com [1] 
> 
>> What is the interpretation of 'most' governments? Clearly this
>> question will have multiple responses, as often there is no
>> agreement, in fact there is clear disagreement
> 
> Good point.  That in itself is good to understand.  One of the
> challenges I’ve faced in other domains like during the 2014(?)
> Budapest Convention review has been potential conflicting regulatory
> requirements.  To be clear, I’m not suggesting so wide a scope, but
> rather a focus on how our protocol suite development needs to consider
> these conflicts.
> 
>> What is the difference between all of the above, esp UN
>> interpretation & interpretation by 'most' governments OR the
>> different governmental interpretations?
> 
> I like the latter- “different government interpretations”.  That
> in itself can highlight problems that the IETF can’t solve, but
> others should.
> 
> Eliot_______________________________________________
> hrpc mailing list
> [email-masked]
> Links:
> ------
> [1] https://www.avast.com/sig-email?utm_medium=email&amp;utm_source=link&amp;utm_campaign=sig-email&amp;utm_content=emailclient